# 项目相关配置
jsowell:
  # 名称
  name: jsowell-service
  # 版本
  version: 1.0.0
  # 版权年份
  copyrightYear: 2022
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/jsowell/uploadPath，Linux配置 /home/jsowell/uploadPath）
  profile: D:/jsowell/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: char

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8080
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100
# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: cdnflglzjoxjovuusklsqjtuup
  # 令牌有效期（默认300分钟）
  expireTime: 300
  # 接口令牌有效期 一个月
  serviceExpireTime: 43200

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: { profile }
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB

  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.jsowell.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

# 微信登录相关
weixin:
  login:
    # gateway: https://api.weixin.qq.com/sns/oauth2/access_token
    gateway: https://api.weixin.qq.com/sns/jscode2session
    appid: wxbb3e0d474569481d
    appsecret: bbac689f4654b209de4d6944808ec80b
    redirectUrl: http://www.kuangstudy.com/login/api/wx/callback
  sendMsg:
    startChargingTmpId: BGgZe98QHr0I1S1GrtGps0y3uhvURtQNkbMAzI2D8g8
    stopChargingTmpId: UyBPbADlZfsCj89rh_xvfR2ZP1iwtmPcMFA0sUOJwog

#Sim卡信息
xunzhong:
  apiId: 1126135385835987
  apiSecret: 9dT9iz0bfYx6UljzKj3pJEodjTvjd1lF
  sim:
    getSimCardDetailURL: https://iot.commchina.net/api/customer/v1/sim_cards/get_sim_card_detail
    renewURL: https://iot.commchina.net/api/customer/v1/sim_cards/renew
  trafficPool:
    poolListURL: https://iot.commchina.net/api/customer/v1/traffic_pools/pool_list

wulian:
  appId: 23178072739
  appSecret: 9cf4e28037ca5ea1a8ea8e63959d454b
  getWay: https://api.wl1688.net/iotc/getway
  name:
    getSimInfo: api.v2.card.info
    WuLianSimRenew: api.v2.order.renew